Skip to content

Attached Volume Monitoring

GET
/api/v1/nodes/{node_id}/monitoring/volume/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/volume/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
interval
string

Time interval in seconds for monitoring data retrieval.

Example

3600
volume_id
string

Identifier of the volume to monitor

Example

<BLOCK_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Specifies the geographic location for the attached volume monitoring request.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the monitoring response

integer
data
Array<object>
object
disk

Identifier of the attached volume device

string
mountpoint

The filesystem path where the volume is mounted.

string
read_iops
object
labels
Array<string>
results
Array<string>
write_iops
object
labels
Array<string>
results
Array<string>
size
object
labels
Array<string>
results
Array<integer>
name

Identifier name of the attached volume monitoring entry

string
errors
object
message

Status message indicating the result of the volume monitoring request

string

Example

{
"code": 200,
"data": [
{
"disk": "vdb",
"mountpoint": "/root/volume",
"read_iops": {
"labels": [
"05:55PM"
],
"results": [
"772.0"
]
},
"write_iops": {
"labels": [
"05:55PM"
],
"results": [
"6150.0"
]
},
"size": {
"labels": [
"Free Memory (GB)"
],
"results": [
0
]
},
"name": "monitoring"
}
],
"message": "Success"
}